
QGIS Application - Feature request #1975

ability to create legend groups via the QGis api

2009-10-05 06:35 AM - leaffan -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12035

Description

Using the QGis API it is possible to add layers to the currently opened project using the function addMapLayer() of the

[[QgsMapLayerRegistry]] class. Within the GUI it is further possible to add groups to the legend (Right-click on legend area & Add group

) that can hold a number of layers. Can this function be exposed to the API? So that new layer groups can be created and/or deleted and

new layers can be added to already existing groups etc. That would help programming users to keep a clear project structure.

History

#1 - 2009-10-05 06:40 AM - Giovanni Manghi

This feature was already requested already in the middle of some discussion here in the Trac :) very useful indeed +1

#2 - 2009-12-19 08:31 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Resolved with #2185.
